Package: org.codehaus.groovy.reflection

## [Java] Class ReflectionCache

- org.codehaus.groovy.reflection.ReflectionCache

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CachedClass` | `OBJECT_ARRAY_CLASS` |
    `static CachedClass` | `OBJECT_CLASS` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Class` | `autoboxType(Class type)`
    `` | `static CachedClass` | `getCachedClass(Class klazz)`
    `` | `static String` | `getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)`
    `` | `static boolean` | `isArray(Class klazz)`
    `` | `static boolean` | `isAssignableFrom(Class klazz, Class aClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final CachedClass OBJECT_ARRAY_CLASS

    - #### public static final CachedClass OBJECT_CLASS

  - ### Method Detail

    - #### public static Class autoboxType(Class type)

    - #### public static CachedClass getCachedClass(Class klazz)

    - #### public static String getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)

    - #### public static boolean isArray(Class klazz)

    - #### public static boolean isAssignableFrom(Class klazz, Class aClass)